List Research Results
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/research/results \
--header 'x-api-key: <api-key>' \
--header 'x-selected-account-id: <api-key>'import requests
url = "https://api.example.com/v1/projects/{project_id}/research/results"
headers = {
"x-api-key": "<api-key>",
"x-selected-account-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-selected-account-id': '<api-key>'}
};
fetch('https://api.example.com/v1/projects/{project_id}/research/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"project_id": "<string>",
"operation": "parse",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"object": "job",
"source_id": "<string>",
"correlation_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"result": {},
"progress": {
"total": 123,
"succeeded": 123,
"failed": 123,
"cancelled": 123,
"pending": 123,
"child_jobs": [
{
"source_document_id": "<string>",
"job_id": "<string>",
"status": "pending",
"parse_result_id": "<string>",
"error": "<string>"
}
]
},
"error": "<string>",
"history": [
{
"step": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"status": "<string>",
"details": {}
}
]
}
],
"total_count": 123,
"next_token": "<string>",
"prev_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Research
List Research Results
List research jobs for this project (same persistence as GET …/jobs,
forced to operation=research).
Returns :class:~dex_core.models.jobs.JobEntity rows (operation is always research).
GET
/
v1
/
projects
/
{project_id}
/
research
/
results
List Research Results
Authorizations
API key for authentication
Selected Account ID
Path Parameters
Query Parameters
Filter by job IDs
Filter by creation time (start)
Filter by creation time (end)
Filter by completion time (start)
Filter by completion time (end)
Filter by job status Enum for job status values.
Available options:
pending, running, succeeded, partially_succeeded, failed, cancelled Filter by job operation type Enum for job operation values.
Available options:
parse, batch_parse, extract, research, vector_store, chunk, summarization, create_index, update_index Number of items per page
Required range:
1 <= x <= 100Field to sort by
Sort order (asc or desc) Enum for project sort fields. Note that only non-nullable fields can be sorted by (for details, see: https://github.com/djrobstep/sqlakeyset?tab=readme-ov-file#limitations ).
Available options:
asc, desc Pagination token

